<?php
$all_cookie_categories = isset($args["all_cookie_categories"]) ? $args["all_cookie_categories"] : [];
$base_category = RC_Cookie_Consent::get_base_cookie_category();

$title = rwmb_meta("cookies-title", ["object_type" => "setting"], "options");
$desc = rwmb_meta("cookies-description", ["object_type" => "setting"], "options");

$btn_accept = rwmb_meta("cookies-btn-accept", ["object_type" => "setting"], "options");
$btn_settings = rwmb_meta("cookies-btn-settings", ["object_type" => "setting"], "options");
$btn_save = rwmb_meta("cookies-btn-save", ["object_type" => "setting"], "options");
?>
<div id="cookie-consent" style="display:none;">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="wrp">
          <div class="content">
            <h3 class="title"><?= $title ?></h3>
            <div class="desc"><?= $desc ?></div>
          </div>
          <div class="settings">
            <?php
            $page_id = wc_get_page_id("cookie_settings");
            $post = get_post($page_id);
            if ($post) {
              apply_filters("the_content", $post->post_content);
            }
            ?>
          </div>
          <div class="btns">
            <button class="button button-primary btn-enable"><?= $btn_accept ?></button>
            <button class="button button-outline btn-settings"><?= $btn_settings ?></button>
            <button class="button button-outline btn-save"><?= $btn_save ?></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>